package domain

type AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo struct {
	/*
	   优惠值     */
	PromotionValue *int64 `json:"promotion_value,omitempty" `

	/*
	   优惠结束时间（距离过期时间）     */
	EndHour *int64 `json:"end_hour,omitempty" `

	/*
	   优惠开始时间（距离过期时间）     */
	StartHour *int64 `json:"start_hour,omitempty" `

	/*
	   外部优惠id     */
	OutId *int64 `json:"out_id,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo) SetPromotionValue(v int64) *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo {
	s.PromotionValue = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo) SetEndHour(v int64) *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo {
	s.EndHour = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo) SetStartHour(v int64) *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo {
	s.StartHour = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo) SetOutId(v int64) *AlibabaHmMarketingExpirePromotionQueryExpirePeriodInfo {
	s.OutId = &v
	return s
}
